package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.TvWifi;
import com.lightinit.hsdatashow.entity.TvWifiExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.ChartModel;
import org.apache.ibatis.annotations.Param;

public interface TvWifiMapper {
    long countByExample(TvWifiExample example);

    int deleteByExample(TvWifiExample example);

    int deleteByPrimaryKey(Long id);

    int insert(TvWifi record);

    int insertSelective(TvWifi record);

    List<TvWifi> selectByExample(TvWifiExample example);

    TvWifi selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") TvWifi record, @Param("example") TvWifiExample example);

    int updateByExample(@Param("record") TvWifi record, @Param("example") TvWifiExample example);

    int updateByPrimaryKeySelective(TvWifi record);

    int updateByPrimaryKey(TvWifi record);

    List<ChartModel> getTVAndWifi();
}